Blog Vaška Ambrože

osobní a duchovní rozvoj, informační technologie a všechno ostatní
02.12. 2023 07:11Kdyby někdo znovu zakupoval Spotify premium a měl za sebou již zkušební dobu zdarma
28.10. 2023 13:18Je čas zase dělat věci správně. Vždycky, když se vracím do kolejí, který vedou k tomu, kdo jsem a kam směřuju, tak si vybavím citát z Bible
24.10. 2023 08:22Pokud hledáte možnost skrýt složku All Bookmarks v liště v Google Chrome...
15.10. 2023 11:45Nedává mi smysl proč Mozilla Thunderbird v základním nastavení řadí zprávy vzestupně a nutí používat vlákna
24.09. 2023 17:19Četl jsem a viděl hodně materiálu na téma manifestace/zákonu přitažlivosti. Ale kniha od Esther a Jerry Hicks – Požádej a je ti dáno u mě teda aktuálně vede!
Chcete vytvořit vlastní webové stránky? Potřebujete pro ně hosting? Nechcete se o ně starat? Potřebujete pomoci s Wordpressem?

Facebook chat/messenger v Pidginu ve Windows 11

V tomto příspěvku jsem řešil jak zprovoznit Facebook chat/messenger v Pidginu v Debianu. Nyní se můžeme podívat jak to samé funguje ve Windows 11, které nyní provozuji vedle Debianu na mém PC. Postup je nakonec hodně podobný.

Instalace

Stačí postupovat dle tohoto návodu a stáhnout si soubory libjson-glib-1.0.dll a libfacebook.dll. Ty pak stačí dle daného návodu umístit do adresáře programu Pidgin.

Chyba ERROR_QUEUE_OVERFLOW

Setkal jsem se ale v tomto směru se stejnou chybou jako při nastavování v Linuxu a začala se mi při samotném připojování také zobrazovat chyba ERROR_QUEUE_OVERFLOW. Tu lze vyřešit editací daného souboru libfacebook.dll a to za pomocí nějaké hex editoru. Takových editorů je spousta, já jsem použil HxD, který je možné stáhnout tady.

V něm pak stačí u něčeho jako FBAV/192.0.0.31.101 změnit dané číslo 192 na 537 a uložit.

Samotné nastavení v Pidginu

Přidání účtu je pak již jednoduché. Já používám systém v angličtině, proto tady budu používat anglické názvy položek, které v programu vidím. Kdo používá češtinu, tak si to snadno přeloží. Účet přidáme v Accounts – Manage accounts – Add a tam v části Basic vyplníme:

Protocol: Facebook
Username: vaše uživatelské jméno na Facebooku (např. u https://www.facebook.com/profile.php?id=100095344098427 je to 100095344098427)
Password: vaše heslo k účtu na Facebooku

Publikováno 26.10. 2023 v 15:37 | Kategorie: Facebook, Pidgin, Windows 11

Bash skript pro naformátování USB disku na FAT32

Sem tam je potřeba naformátovat si instalační USB klíčenku, aby na ní šlo umístit software, např. pro instalaci nějakého operačního systému apod. V tomto příspěvku bych chtěl sdílet pro linuxové uživatele jednoduchý skript, který na to lze použít. Tady je kompletní kód:

#!/bin/bash

#must run as root
if [[ $EUID -ne 0 ]]; then
   echo "This script must be run as root" 
   exit 1
fi

#variables
disk_device=/dev/sda1
disk_mount_point=/media/usb
disk_label_name="DEBIAN-USB"

#check if the device exists and is a USB disk
if [ ! -b "$disk_device" ] || ! blkid -o value -s ID_BUS "$disk_device" | grep -q "usb"; then
  echo "Device $disk_device is not a USB disk."
  exit 1
fi

#unmount the disk if it's already mounted
if mount | grep -q "$disk_device"; then
  umount -l "$disk_device" || { echo "Failed to unmount $disk_device"; exit 1; }
fi

#format the disk to FAT32 with the specified label
if ! mkfs.vfat -F 32 -n "$disk_label_name" "$disk_device"; then
  echo "Failed to format $disk_device"
  exit 1
fi

#create the mount point if it doesn't exist
if [ ! -d "$disk_mount_point" ]; then
  mkdir -p "$disk_mount_point" || { echo "Failed to create mount point $disk_mount_point"; exit 1; }
fi

#mount the disk
if ! mount "$disk_device" "$disk_mount_point"; then
  echo "Failed to mount $disk_device"
  exit 1
fi

echo "USB disk $disk_device has been successfully formatted and mounted to $disk_mount_point"

Publikováno 14.10. 2023 v 23:10 | Editováno 06.11. 2023 v 18:00 | Kategorie: Bash, Linux

Echhart Tolle poprvé v Praze naživo a já u toho

Předevčírem jsem se zúčastnil v Kongresovém centru v Praze dvouhodinové přednášky jednoho z předních učitelů v rámci duchovního rozvoje (nemyslím tím žádná náboženství), který je autorem bestselleru Moc přítomného okamžiku a dalších knih, Eckharta Tolleho. Dle organizátora mu poprvé psali před dvaceti lety, a teprve včera se až podařilo, že poprvé zavítal do České republiky.

Prostředí a atmosféra

V Kongresovém centru v Praze, u zastávky metra Vyšehrad, jsem byl poprvé. Musím říct, že se jedná o opravdu krásný sál s pohodlnými židlemi, skoro až křesli, a bylo mi tam příjemně. I když Tolle většinou mluví srozumitelnou angličtinou, vybavil jsem se na přednášku sluchátky s českým překladem, které fungovaly bez problémů, a paní nebo slečna překládala a reagovala skvěle. Pouštěl jsem si překlad do sluchátek na menší hlasitost, abych vnímal jak řeč Tolleho, tak i překlad.

Atmosféra v sále na mě působila příjemně hned od začátku, co jsem do něj vstoupil. Na velkém plátně se na pódiu promítaly, než přednáška začala, krásné fotografie z přírody a informace o Tolleho nadaci a do toho hrála meditační/uklidňující muzika.

Lidé na mě také působily příjemně, a dokonce jsem musel oprášit i svou angličtinu, kterou dlouhé roky používám spíše jen v písemné formě. Bylo tam obecně hodně slyšet angličtinu a němčinu a je víc než jasné, že na Tolleho přednášky jezdí lidé po celém světě. Mě oslovil jeden pán, který očividně rád komunikoval a který na přednášku dorazil z Berlína. Prohodili jsme tedy spolu pár slov v angličtině, kdy jsem se dozvěděl, že přijel na přednášku sám a že Tolleho zná asi necelý rok, a shodli jsme se, že je to opravdu jedna z největších kapacit na duchovní rozvoj. Ptal se mě také mimojiné, jestli jsem již viděl Tolleho někdy naživo, což jsem do té doby neviděl, a on také ne. Viděl stejně jako já jen videa a četl jeho knihy.

Vtipné pak bylo, když se mě zeptal, jestli jsem ho někdy viděl na přednášce chodit. Do té doby jsem tomu nevěnoval pozornost, že vlastně na všech svých přednáškách jen sedí na židli a mluví. Není to žádný aktivní řečník, který by chodil po pódiu a nějak hodně komunikoval s publikem. Stejně tomu bylo i tentokrát. Ná podiu byla uprostřed jen židle s malým stolkem, na kterém byly květiny, sklenice bez vody (což jsem moc nepochopil, že mu tam nedali vodu – ilustroval na ní pak jeden příklad a dělal si srandu, že v té sklenici je voda) a nějaké další drobnosti.

Když se postava shrbeného a drobného Tolleho objevila na pódiu, tak se to samozřejmě setkalo s velkým aplausem a někteří i vstávali. Musím říct, že z něj vychází opravdu velké charisma a moudrost. Na konci přednášky už byl kompletní standing ovation.

Samotná přednáška

Nyní k samotné přednášce. Nosné téma bylo tradičně duchovní probuzení. Ti, co znají a studují Tolleho učení již delší dobu, tak by se v této přednášce asi nedozvěděli úplně nic nového a objevného. Já jsem také měl pocit, že všechno, o čem mluvil, jsem již od něj slyšel nebo četl. Ale slyšet to naživo přímo od něj, v atmosféře nádherného sálu plného lidí, i tak pro mě bylo obohacující a měl jsem dojem, že mi ty věci v tu chvíli víc docházejí i v tomto jeho podání.

Bohužel jsem si nedělal písemné pozmánky, stejně jako 99% lidí, co tam bylo. Nebylo to tam tak nějak vhodné. Budu tedy lovit z paměti, a je možné, že na něco zapomenu nebo to nebudu interpretovat přesně. Mluvil tedy ohledně svých obvyklých témat. Vysvětloval například, kdo vlastně jsme a že jsme často pod nadvládou ega, které se ztotožňuje s nějakými našimi myšlenkami. Náš život se odehrává v naší hlavě. Ale že to ve skutečnosti nejsme my. My nejsme naše mysl. Když se odpojíme od našich myšlenek, tak by mělo zbýt vědomí, které je si vědomo tohoto vědomí, a kterým ve skutečnosti jsme. Tedy jakýsi život vedle našeho běžného života. Jde o ten přítomný okamžik, kdy jsme napojeni na Zdroj veškerého bytí a v tomto napojení bychom měli vykonávat většinu naší činnosti a žít náš život. Rozebíral také techniky, jak se do přítomného okamžiku dostat a tradičně v tomto směru vyzdvihoval vnímání dechu a propojení se s ním.

Samozřejmě tam také rozebíral čas a že minulost ani budoucnost neexistuje. Jedná se v tomto směru jen o naše myšlenky. Vždy existuje pouze teď. Stejně tak stres si vytváříme sami svými myšlenkami na budoucnost. Zároveň mluvil o tom, že čas je ve skutečnosti překážka a že k tomu, abychom se duchovně probudili, žádný čas nepotřebujeme. Jde o teď, o ten jím věčně omílaný přítomný okamžik.

Mělo by tedy jít o to, uvědomit si, že naše tělo a naše myšlenky (které tvoří náš život) jsou pomíjivé a že to ve skutečnosti nejsme my. Jsme něco daleko víc, co je za tímto vším. Hodně v té přednášce Tolle také citoval Buddhu a Ježíše a že to pomyslné nebe je uvnitř nás samých. Jde o to se rozpomenout a probudit se.

Publikováno 10.10. 2023 v 03:00 | Editováno 10.10. 2023 v 03:03 | Kategorie: Duchovní rozvoj, Přednášky

2024
Web od Vaška